package com.friday.operation.api.distributor.constant;

public enum TaieTaskRecordState {
    Executing("Executing","执行中"),
    Waiting("Waiting","队列中"),
    Success("Success","成功"),
    Fail("Fail","失败"),
    PartialFail("PartialFail","部分失败"),
    Canceled("Canceled","已取消")

    ;

    private String state;
    private String desc;

    TaieTaskRecordState(String state, String desc){
        this.state = state;
        this.desc = desc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDecs() {
        return desc;
    }

    public void setDecs(String desc) {
        this.desc = desc;
    }

}
